#include <stdio.h>
#include <pvm3.h>
#include "def.h"

int main(){
    int tids[SLAVENUM];
    int numt;
    int rbuf;
    int rbytes, rmsgtag, rtid;
    int i;
    int n[2];
    int res[2];
    double pi;

    n[0]=0;
    n[1]=0;
    numt = pvm_spawn("slave", NULL, PvmTaskDefault, NULL, SLAVENUM, tids);
    for (i = 0; i<numt;i++) {
	rbuf = pvm_recv(-1, INFO_MSG);
	if(rbuf>=0){
	    pvm_bufinfo(rbuf, &rbytes, &rmsgtag, &rtid);
	    pvm_upkint(res, 2, 1);
	    n[0]+=res[0];
	    n[1]+=res[1];
	}
    }
    pi=4.0*((double)n[1])/(double)(n[0]);
    printf("Suma: %d, %d\n", n[0], n[1]);
    printf("Wynik: %le\n", pi);
    pvm_exit();
    return 0;
}
